QCAT - Task #1677

Incorrect users
23 Mar 2017 08:22 - Lukas Vonlanthen

Status: Closed Start date: 23 Mar 2017
Priority: Normal Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 0.00 hour
Target version: QA and QT migrated Spent time: 0.00 hour
Resolution:

Description

Bei folgenden QAs ist bei main_contributor eine gultige User ID eingetragen (nicht 661 "Not registered"). Allerdings existiert dieser
User in der Typo3 DB nicht.

fo———— o —— o o —— +
| id | code | main_contributor | owner_id |
| —————— o —— o o —— |
| 43 | A_BELOOlen | 460 | 974 |
| 44 | A_BOLOOles | 382 | 382 |
| 45 | A_BOLOO2en | 382 | 382 |
| 46 | A_BOLOO2es | 382 | 382 |
| 47 | A_BRKO1l0en | 1773 | 974 |
| 49 | A_CHNOOlen | 1775 | 974 |
| 50 | A_CHNOOZ2en | 1776 | 974 |
| 52 | A_CHNO1l2en | 1774 | 974 |
| 57 | A_CHNO2len | 1778 | 974 |
| 173 | A_COLOOles | 1780 | 974 |
| 171 | A_COLOO2es | 1779 | 974 |
| 170 | A_COS00les | 1781 | 974 |
| 166 | A_ETHOO5en | 1782 | 974 |
| 147 | A_ETHO46en | 890 | 890 |
| 139 | A_INDOllen | 117 | 117 |
| 138 | A_INDOl3en | 694 | 694 |
| 131 | A_KAZOO3en | 366 | 366 |
| 130 | A_KAZOO4en | 274 | 274 |
| 128 | A_KAZOO7en | 366 | 366 |
| 125 | A_KENOO7en | 621 | 621 |
| 107 | A_NIGOOlfr | 632 | 632 |
| 106 | A_NIGOOSfr | 633 | 633 |
| 276 | A_NIGOllen | 14 | 313 |
| 102 | A_PHIOO4en | 32 | 32 |
| 89 | A_RSAO27en | 281 | 281 |
| 84 | A_RSA039%en | 770 | 770 |
| 82 | A_RSAQO42en | 81 | 81 |
| 78 | A_RSAO56en | 394 | 394 |
| 195 | A_SWIOO3en | 1397 | 1397 |
| 76 | A_SYROOlen | 319 | 319 |
| 72 | A_TAJO0O4den | 588 | 1973 |
| 212 | A_TUROO4en | 1514 | 1040 |
t———— Fm—————— —————————— F——————— +

SELECT id, code, main_contributor, owner_id FROM ga.approach WHERE id in (131, 128, 89 , 47 , 106,
82 , 195, 212, 76 , 107, 84 , 139, 130, 276, 72 , 147, 138, 43 , 44 , 46 , 49 , 50 , 52 , 57 ,
173, 171, 170, 166, 125, 78 , 102, 45) ORDER BY code

History

#1 - 23 Mar 2017 08:58 - Lukas Vonlanthen

- Description updated

#2 - 24 Mar 2017 09:27 - Kurt Gerber
Diese main_contributors kommen in der typo3 Datenbank tatséchlich nicht vor. Die 'owner_id' 974 ist Ubrigens Christine Hauert, die Vorgangerin von
Nina Lauterburg.

+————— o o o +
| id | code | main_contributor | owner_id |
| —————— o o o |
| 47 | A_BRKO1lOen | 1773 | 974 |
| 49 | A_CHNOOlen | 1775 | 974 |
| 50 | A_CHNOO2en | 1776 | 974 |
| 52 | A_CHNOl2en | 1774 | 974 |
| 57 | A_CHNO2len | 1778 | 974 |
| 173 | A_COLOOles | 1780 | 974 |
| 171 | A_COLOO2es | 1779 | 974 |
| 170 | A_COSO0les | 1781 | 974 |
| 166 | A_ETHOOS5en | 1782 | 974 |
+————— o o o +

Nun sollten wir schauen, dass wir typo3 soweit kriegen, dass es Uber sein 'get users' abfrage auch wirklich alle User ausgibt...
#3 - 24 Mar 2017 11:51 - Kurt Gerber
Eventuell geht es jetzt... Bitte nochmals Gber das typo3 API testen.

Ich habe Gbrigens noch entdeckt, dass ich den export der Benutzer von typo3 anders gestalten muss: Dort wurden diese Benutzer bisher auch nicht
exportiert. Das ganze zieht also weitere Kreise...

#4 - 11 Apr 2017 16:31 - Lukas Vonlanthen

- Assignee set to Kurt Gerber
Die User werden immer noch nicht gefunden. Soll ich bei diesen Fallen den "Unknown User" (3726) verwenden?

#5 - 20 Apr 2017 08:27 - Lukas Vonlanthen

Seems to be working now ...

#6 - 20 Apr 2017 11:07 - Lukas Vonlanthen

- Status changed from New to Closed

#7 - 25 Apr 2017 08:55 - Lukas Vonlanthen

- Status changed from Closed to New

Nope, does not work after all.

Wie weiter bzw. wieviel Zeit noch hier investieren?

Schnelle Lésung: Bei diesen Fallen wird der "Unknown User" (3726) verwendent und eine Notiz an die manuellen Migranten hinzugefiigt, dass sie
den Compiler Uberpriifen missen. Dadurch wird zwar einfach das Problem an die Migranten abgeschoben ...

#8 - 25 Apr 2017 09:14 - Lukas Vonlanthen

2 weitere nicht-vorhandene User sind noch aufgetaucht.

Bitte folgende Tabelle verwenden:

fo———— fom fo e +
| id | code | main_contributor | owner_id |
| —————— o ————— o o ————— |
| 43 | A_BELOOlen | 460 | 974 |
| 44 | A_BOLOOles | 382 | 382 |
| 45 | A_BOL00O2en | 382 | 382 |
| 46 | A_BOL002es | 382 | 382 |
| 47 | A_BRKO01Oen | 1773 | 974 |
| 48 | A_CAMO00O2en | 241 | 241 |
| 49 | A_CHNOOlen | 1775 | 974 |
| 50 | A_CHNOOZ2en | 1776 | 974 |
| 52 | A_CHNOl2en | 1774 | 974 |
| 57 | A_CHNO2len | 1778 | 974 |
| 173 | A_COLOOles | 1780 | 974 |
| 171 | A_COL00O2es | 1779 | 974 |
| 170 | A_COS00les | 1781 | 974 |
| 166 | A_ETHO0O5en | 1782 | 974 |
| 147 | A_ETHO46en | 890 | 890 |
| 139 | A_INDOllen | 117 | 117 |
| 138 | A_INDOl3en | 694 | 694 |
| 131 | A_KAZOO3en | 366 | 366 |
| 130 | A_KAZOO4en | 274 | 274 |
| 128 | A_KAZOO7en | 366 | 366 |
| 125 | A_KENOO7en | 621 | 621 |
| 107 | A_NIGOOlfr | 632 | 632 |
| 106 | A_NIGOOSfr | 633 | 633 |
| 276 | A_NIGOllen | 14 | 313 |
| 102 | A_PHIOO4en | 32 | 32 |
| 89 | A_RSAO27en | 281 | 281 |
| 84 | A_RSAO039%en | 770 | 770 |
| 82 | A_RSAO42en | 81 | 81 |
| 78 | A_RSA056en | 394 | 394 |
| 197 | A_RSAO058en | 487 | 487 |
| 195 | A_SWIOO3en | 1397 | 1397 |
| 76 | A_SYR0OOlen | 319 | 319 |
| 72 | A_TAJ004en | 588 | 1973 |
| 212 | A_TUROO4en | 1514 | 1040 |
o o ——— B Fom +

SELECT id, code, main_contributor, owner_id FROM ga.approach WHERE id in (131, 128, 89 , 47 , 106, 82 , 195, 2
12, 76 , 107, 84 , 139, 130, 276, 72 , 147, 138, 43 , 44 , 46 , 49 , 50 , 52 , 57 , 173, 171, 170, l66, 125, 7
8 , 102, 45, 197, 48) ORDER BY code

#9 - 16 May 2017 16:19 - Kurt Gerber

Just mark the cases so the editors have to change the main contributor during manual editing/migration.

#10 - 16 May 2017 16:20 - Kurt Gerber

- Status changed from New to Closed
